#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <cpu.h>
#include <display.h>

int main(int argc, char **argv){
    if(argc < 2){
        return 1;
    }
    if(!access(argv[1], F_OK ) == 0){
        return 1;
    }

    cpu_status_t* status;
    status = malloc(sizeof(cpu_status_t)); 
    cpu_setup_addin(status, argv[1]);
    status->r[15] = 0x08100000 + 524288;
    status->log = false;

    cpu_run_from(status, 0x00300200);

    return 0;
}